Package org.apache.sysds.common

# Enum Class Types.OpOpDG

java.lang.Object
java.lang.Enum<Types.OpOpDG>
org.apache.sysds.common.Types.OpOpDG

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.OpOpDG>`, `Constable`

Enclosing interface:
  Types

public static enum Types.OpOpDG extends Enum<Types.OpOpDG>
Data generation operations

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FRAMEINIT`
`RAND`
`SAMPLE`
`SEQ`
`SINIT`
`TIME`

## Method Summary

Modifier and Type
Method
Description
`static Types.OpOpDG`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.OpOpDG[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RAND

public static final Types.OpOpDG RAND

### SEQ

public static final Types.OpOpDG SEQ

### FRAMEINIT

public static final Types.OpOpDG FRAMEINIT

### SINIT

public static final Types.OpOpDG SINIT

### SAMPLE

public static final Types.OpOpDG SAMPLE

### TIME

public static final Types.OpOpDG TIME

## Method Details

### values

public static Types.OpOpDG[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Types.OpOpDG valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null